Complete membership activation payment
curl --request POST \
--url https://api.creditor.younegotiate.com/account-profile/billing/payment-intents/{platformBillingPaymentSession}/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"accept_terms_and_conditions": true,
"address2": "<string>"
}
'import requests
url = "https://api.creditor.younegotiate.com/account-profile/billing/payment-intents/{platformBillingPaymentSession}/complete"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"accept_terms_and_conditions": True,
"address2": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
address: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
accept_terms_and_conditions: true,
address2: '<string>'
})
};
fetch('https://api.creditor.younegotiate.com/account-profile/billing/payment-intents/{platformBillingPaymentSession}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Membership activated successfully!",
"data": {
"company_membership": {
"id": 123,
"company_id": 123,
"membership_id": 123,
"next_membership_plan_id": 123,
"status": "<string>",
"current_plan_start": "2023-11-07T05:31:56Z",
"current_plan_end": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"membership": {
"id": 123,
"company_id": 123,
"name": "<string>",
"price": 123,
"fee": 123,
"e_letter_fee": 123,
"upload_accounts_limit": 123,
"frequency": "<string>",
"description": "<string>",
"features": null,
"status": true,
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"next_membership_plan": {
"id": 123,
"company_id": 123,
"name": "<string>",
"price": 123,
"fee": 123,
"e_letter_fee": 123,
"upload_accounts_limit": 123,
"frequency": "<string>",
"description": "<string>",
"features": null,
"status": true,
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"transaction": {
"id": 123,
"company_id": 123,
"membership_id": 123,
"status": "<string>",
"price": 123,
"provider": "stripe",
"provider_transaction_id": "pi_123",
"failure_code": "<string>",
"plan_start_date": "2023-11-07T05:31:56Z",
"plan_end_date": "2023-11-07T05:31:56Z",
"partner_revenue_share": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"payment_method": {
"id": 123,
"last_four_digit": "<string>",
"expiry": "12/2030",
"brand": "visa",
"bank_name": "STRIPE TEST BANK",
"payment_method_saved_at": "2023-11-07T05:31:56Z"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"code": "platform_billing_unavailable",
"message": "Platform billing is temporarily unavailable. Please try again."
}Complete membership activation payment
After Stripe.js confirms the PaymentIntent, submit the validated billing contact details. The backend retrieves Stripe’s canonical state, verifies ownership, amount, currency, and payment method, then records the transaction and activates the membership for succeeded card payments or processing ACH payments.
POST
/
account-profile
/
billing
/
payment-intents
/
{platformBillingPaymentSession}
/
complete
Complete membership activation payment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Local platform billing payment session ID returned by the create endpoint.
Body
application/json
Required string length:
2 - 20Pattern:
^[A-Za-z]+$Required string length:
2 - 30Pattern:
^[A-Za-z]+$Required string length:
2 - 100Required string length:
2 - 30Pattern:
^[A-Za-z]+(?: [A-Za-z]+)*$Required string length:
2Pattern:
^\d{5}(?:-\d{4})?$Required string length:
2 - 100Last modified on July 27, 2026
Was this page helpful?
⌘I

